-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery File Uploader - Custom Drop Zone
The JavaScript FileUploader component supports the drag-and-drop functionality to upload files.
In this demo, the dropZone property specifies the HTML element in which you can drag and drop files for upload. The dropZoneEnter and dropZoneLeave events allow you to customize the drop zone when the mouse pointer enters and leaves this zone while dragging the file.
Backend API
$(() => {
$('#file-uploader').dxFileUploader({
dialogTrigger: '#dropzone-external',
dropZone: '#dropzone-external',
multiple: false,
allowedFileExtensions: ['.jpg', '.jpeg', '.gif', '.png'],
uploadMode: 'instantly',
uploadUrl: 'https://js.devexpress.com/Demos/NetCore/FileUploader/Upload',
visible: false,
onDropZoneEnter({ component, dropZoneElement, event }) {
if (dropZoneElement.id === 'dropzone-external') {
const items = event.originalEvent.dataTransfer.items;
const allowedFileExtensions = component.option('allowedFileExtensions');
const draggedFileExtension = `.${items[0].type.replace(/^image\//, '')}`;
const isSingleFileDragged = items.length === 1;
const isValidFileExtension = allowedFileExtensions.includes(draggedFileExtension);
if (isSingleFileDragged && isValidFileExtension) {
toggleDropZoneActive(dropZoneElement, true);
}
}
},
onDropZoneLeave(e) {
if (e.dropZoneElement.id === 'dropzone-external') { toggleDropZoneActive(e.dropZoneElement, false); }
},
onUploaded(e) {
const { file } = e;
const dropZoneText = document.getElementById('dropzone-text');
const fileReader = new FileReader();
fileReader.onload = () => {
toggleDropZoneActive(document.getElementById('dropzone-external'), false);
const dropZoneImage = document.getElementById('dropzone-image');
dropZoneImage.src = fileReader.result;
};
fileReader.readAsDataURL(file);
dropZoneText.style.display = 'none';
uploadProgressBar.option({
visible: false,
value: 0,
});
},
onProgress(e) {
uploadProgressBar.option('value', (e.bytesLoaded / e.bytesTotal) * 100);
},
onUploadStarted() {
toggleImageVisible(false);
uploadProgressBar.option('visible', true);
},
});
const uploadProgressBar = $('#upload-progress').dxProgressBar({
min: 0,
max: 100,
width: '30%',
showStatus: false,
visible: false,
}).dxProgressBar('instance');
function toggleDropZoneActive(dropZone, isActive) {
dropZone.classList.toggle('dropzone-active', isActive);
}
function toggleImageVisible(visible) {
const dropZoneImage = document.getElementById('dropzone-image');
dropZoneImage.hidden = !visible;
}
document.getElementById('dropzone-image').onload = () => { toggleImageVisible(true); };
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="js/dx.all.js?v=26.1.4"></script>
<script src="/shared/anti-forgery/jquery-override.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="widget-container flex-box">
<span>Profile Picture</span>
<div id="dropzone-external" class="flex-box">
<img id="dropzone-image" src="#" hidden alt="" />
<div id="dropzone-text" class="flex-box">
<span>Drag & Drop the desired file</span>
<span>…or click to browse for a file instead.</span>
</div>
<div id="upload-progress"></div>
</div>
<div id="file-uploader"></div>
</div>
</div>
</body>
</html>
#dropzone-external {
width: 350px;
height: 350px;
background-color: rgba(0,0,0,0.08);
border-width: 2px;
border-style: dashed;
padding: 10px;
border-color: var(--dx-color-border);
}
#dropzone-external > * {
pointer-events: none;
}
#dropzone-external.dropzone-active {
border-style: solid;
border-color: var(--dx-color-primary);
}
.widget-container > span {
font-size: 22px;
font-weight: bold;
margin-bottom: 16px;
}
#dropzone-image {
max-width: 100%;
max-height: 100%;
}
#upload-progress {
display: flex;
margin-top: 10px;
}
.flex-box {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}
Allowed file extensions: .jpg, .jpeg, .gif, .png
Maximum file size: 4 MB

Backend API
import React, { useCallback, useState } from 'react';
import FileUploader, { type FileUploaderTypes } from 'devextreme-react/file-uploader';
import ProgressBar from 'devextreme-react/progress-bar';
const allowedFileExtensions = ['.jpg', '.jpeg', '.gif', '.png'];
export default function App() {
const [isDropZoneActive, setIsDropZoneActive] = useState(false);
const [imageSource, setImageSource] = useState<string>('');
const [textVisible, setTextVisible] = useState(true);
const [progressVisible, setProgressVisible] = useState(false);
const [progressValue, setProgressValue] = useState(0);
const onDropZoneEnter = useCallback(({ component, dropZoneElement, event }) => {
if (dropZoneElement.id === 'dropzone-external') {
const items = event.originalEvent.dataTransfer.items;
const currentAllowedFileExtensions = component.option('allowedFileExtensions');
const draggedFileExtension = `.${items[0].type.replace(/^image\//, '')}`;
const isSingleFileDragged = items.length === 1;
const isValidFileExtension = currentAllowedFileExtensions.includes(draggedFileExtension);
if (isSingleFileDragged && isValidFileExtension) {
setIsDropZoneActive(true);
}
}
}, [setIsDropZoneActive]);
const onDropZoneLeave = useCallback((e: FileUploaderTypes.DropZoneLeaveEvent) => {
if (e.dropZoneElement.id === 'dropzone-external') {
setIsDropZoneActive(false);
}
}, [setIsDropZoneActive]);
const onUploaded = useCallback((e: FileUploaderTypes.UploadedEvent) => {
const { file } = e;
const fileReader = new FileReader();
fileReader.onload = () => {
setIsDropZoneActive(false);
setImageSource(fileReader.result as string);
};
fileReader.readAsDataURL(file);
setTextVisible(false);
setProgressVisible(false);
setProgressValue(0);
}, [setImageSource, setIsDropZoneActive, setTextVisible, setProgressVisible, setProgressValue]);
const onProgress = useCallback((e: { bytesLoaded: number; bytesTotal: number; }) => {
setProgressValue((e.bytesLoaded / e.bytesTotal) * 100);
}, [setProgressValue]);
const onUploadStarted = useCallback(() => {
setImageSource('');
setProgressVisible(true);
}, [setImageSource, setProgressVisible]);
return (
<div className="widget-container flex-box">
<span>Profile Picture</span>
<div id="dropzone-external" className={`flex-box ${isDropZoneActive ? 'dropzone-active' : ''}`}>
{imageSource && <img id="dropzone-image" src={imageSource} alt="" />}
{textVisible && (
<div id="dropzone-text" className="flex-box">
<span>Drag & Drop the desired file</span>
<span>…or click to browse for a file instead.</span>
</div>
)}
<ProgressBar
id="upload-progress"
min={0}
max={100}
width="30%"
showStatus={false}
visible={progressVisible}
value={progressValue}
></ProgressBar>
</div>
<FileUploader
id="file-uploader"
dialogTrigger="#dropzone-external"
dropZone="#dropzone-external"
multiple={false}
allowedFileExtensions={allowedFileExtensions}
uploadMode="instantly"
uploadUrl="https://js.devexpress.com/Demos/NetCore/FileUploader/Upload"
visible={false}
onDropZoneEnter={onDropZoneEnter}
onDropZoneLeave={onDropZoneLeave}
onUploaded={onUploaded}
onProgress={onProgress}
onUploadStarted={onUploadStarted}
></FileUploader>
</div>
);
}
import React, { useCallback, useState } from 'react';
import FileUploader from 'devextreme-react/file-uploader';
import ProgressBar from 'devextreme-react/progress-bar';
const allowedFileExtensions = ['.jpg', '.jpeg', '.gif', '.png'];
export default function App() {
const [isDropZoneActive, setIsDropZoneActive] = useState(false);
const [imageSource, setImageSource] = useState('');
const [textVisible, setTextVisible] = useState(true);
const [progressVisible, setProgressVisible] = useState(false);
const [progressValue, setProgressValue] = useState(0);
const onDropZoneEnter = useCallback(
({ component, dropZoneElement, event }) => {
if (dropZoneElement.id === 'dropzone-external') {
const items = event.originalEvent.dataTransfer.items;
const currentAllowedFileExtensions = component.option('allowedFileExtensions');
const draggedFileExtension = `.${items[0].type.replace(/^image\//, '')}`;
const isSingleFileDragged = items.length === 1;
const isValidFileExtension = currentAllowedFileExtensions.includes(draggedFileExtension);
if (isSingleFileDragged && isValidFileExtension) {
setIsDropZoneActive(true);
}
}
},
[setIsDropZoneActive],
);
const onDropZoneLeave = useCallback(
(e) => {
if (e.dropZoneElement.id === 'dropzone-external') {
setIsDropZoneActive(false);
}
},
[setIsDropZoneActive],
);
const onUploaded = useCallback(
(e) => {
const { file } = e;
const fileReader = new FileReader();
fileReader.onload = () => {
setIsDropZoneActive(false);
setImageSource(fileReader.result);
};
fileReader.readAsDataURL(file);
setTextVisible(false);
setProgressVisible(false);
setProgressValue(0);
},
[setImageSource, setIsDropZoneActive, setTextVisible, setProgressVisible, setProgressValue],
);
const onProgress = useCallback(
(e) => {
setProgressValue((e.bytesLoaded / e.bytesTotal) * 100);
},
[setProgressValue],
);
const onUploadStarted = useCallback(() => {
setImageSource('');
setProgressVisible(true);
}, [setImageSource, setProgressVisible]);
return (
<div className="widget-container flex-box">
<span>Profile Picture</span>
<div
id="dropzone-external"
className={`flex-box ${isDropZoneActive ? 'dropzone-active' : ''}`}
>
{imageSource && (
<img
id="dropzone-image"
src={imageSource}
alt=""
/>
)}
{textVisible && (
<div
id="dropzone-text"
className="flex-box"
>
<span>Drag & Drop the desired file</span>
<span>…or click to browse for a file instead.</span>
</div>
)}
<ProgressBar
id="upload-progress"
min={0}
max={100}
width="30%"
showStatus={false}
visible={progressVisible}
value={progressValue}
></ProgressBar>
</div>
<FileUploader
id="file-uploader"
dialogTrigger="#dropzone-external"
dropZone="#dropzone-external"
multiple={false}
allowedFileExtensions={allowedFileExtensions}
uploadMode="instantly"
uploadUrl="https://js.devexpress.com/Demos/NetCore/FileUploader/Upload"
visible={false}
onDropZoneEnter={onDropZoneEnter}
onDropZoneLeave={onDropZoneLeave}
onUploaded={onUploaded}
onProgress={onProgress}
onUploadStarted={onUploadStarted}
></FileUploader>
</div>
);
}
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@25.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@25.1.5/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.4/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.21/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#dropzone-external {
width: 350px;
height: 350px;
background-color: rgb(183 183 183 / 10%);
border-width: 2px;
border-style: dashed;
padding: 10px;
border-color: var(--dx-color-border);
}
#dropzone-external > * {
pointer-events: none;
}
#dropzone-external.dropzone-active {
border-style: solid;
border-color: var(--dx-color-primary);
}
.widget-container > span {
font-size: 22px;
font-weight: bold;
margin-bottom: 16px;
}
#dropzone-image {
max-width: 100%;
max-height: 100%;
}
#dropzone-text > span {
font-weight: 100;
opacity: 0.5;
}
#upload-progress {
display: flex;
margin-top: 10px;
}
.flex-box {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}
NOTE
Allowed file extensions: .jpg, .jpeg, .gif, .png
Maximum file size: 4 MB

Backend API
<div class="widget-container flex-box">
<span>Profile Picture</span>
<div
id="dropzone-external"
class="flex-box"
[class]="isDropZoneActive ? 'dropzone-active' : null"
>
@if (imageSource) {
<img id="dropzone-image" [src]="imageSource" alt="" />
} @if (textVisible) {
<div id="dropzone-text" class="flex-box">
<span>Drag & Drop the desired file</span>
<span>…or click to browse for a file instead.</span>
</div>
}
<dx-progress-bar
#uploadProgress
[min]="0"
[max]="100"
width="30%"
[showStatus]="false"
[visible]="progressVisible"
[value]="progressValue"
></dx-progress-bar>
</div>
<dx-file-uploader
#fileUploader
dialogTrigger="#dropzone-external"
dropZone="#dropzone-external"
[multiple]="false"
[allowedFileExtensions]="allowedFileExtensions"
uploadMode="instantly"
uploadUrl="https://js.devexpress.com/Demos/NetCore/FileUploader/Upload"
[visible]="false"
(onDropZoneEnter)="onDropZoneEnter($event)"
(onDropZoneLeave)="onDropZoneLeave($event)"
(onUploaded)="onUploaded($event)"
(onProgress)="onProgress($event)"
(onUploadStarted)="onUploadStarted()"
></dx-file-uploader>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxFileUploaderModule, DxProgressBarModule } from 'devextreme-angular';
import 'anti-forgery';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
imports: [
DxFileUploaderModule,
DxProgressBarModule,
],
})
export class AppComponent {
isDropZoneActive = false;
imageSource = '';
textVisible = true;
progressVisible = false;
progressValue = 0;
allowedFileExtensions: string[] = ['.jpg', '.jpeg', '.gif', '.png'];
constructor() {
this.onDropZoneEnter = this.onDropZoneEnter.bind(this);
this.onDropZoneLeave = this.onDropZoneLeave.bind(this);
this.onUploaded = this.onUploaded.bind(this);
this.onProgress = this.onProgress.bind(this);
this.onUploadStarted = this.onUploadStarted.bind(this);
}
onDropZoneEnter({ component, dropZoneElement, event }) {
if (dropZoneElement.id === 'dropzone-external') {
const items = event.originalEvent.dataTransfer.items;
const allowedFileExtensions = component.option('allowedFileExtensions');
const draggedFileExtension = `.${items[0].type.replace(/^image\//, '')}`;
const isSingleFileDragged = items.length === 1;
const isValidFileExtension = allowedFileExtensions.includes(draggedFileExtension);
if (isSingleFileDragged && isValidFileExtension) {
this.isDropZoneActive = true;
}
}
}
onDropZoneLeave(e) {
if (e.dropZoneElement.id === 'dropzone-external') { this.isDropZoneActive = false; }
}
onUploaded(e) {
const file = e.file;
const fileReader = new FileReader();
fileReader.onload = () => {
this.isDropZoneActive = false;
this.imageSource = fileReader.result as string;
};
fileReader.readAsDataURL(file);
this.textVisible = false;
this.progressVisible = false;
this.progressValue = 0;
}
onProgress(e) {
this.progressValue = e.bytesLoaded / e.bytesTotal * 100;
}
onUploadStarted() {
this.imageSource = '';
this.progressVisible = true;
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #dropzone-external {
width: 350px;
height: 350px;
background-color: rgba(0,0,0,0.08);
border-width: 2px;
border-style: dashed;
padding: 10px;
border-color: var(--dx-color-border);
}
::ng-deep #dropzone-external > * {
pointer-events: none;
}
::ng-deep #dropzone-external.dropzone-active {
border-style: solid;
border-color: var(--dx-color-primary);
}
::ng-deep .widget-container > span {
font-size: 22px;
font-weight: bold;
margin-bottom: 16px;
}
::ng-deep #dropzone-image {
max-width: 100%;
max-height: 100%;
}
::ng-deep #upload-progress {
display: flex;
margin-top: 10px;
}
::ng-deep .flex-box {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
Allowed file extensions: .jpg, .jpeg, .gif, .png
Maximum file size: 4 MB

-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue File Uploader - Custom Drop Zone
The FileUploader component supports the drag-and-drop functionality to upload files.
In this demo, the dropZone property specifies the HTML element in which you can drag and drop files for upload. The dropZoneEnter and dropZoneLeave events allow you to customize the drop zone when the mouse pointer enters and leaves this zone while dragging the file.
Backend API
<template>
<div class="widget-container flex-box">
<span>Profile Picture</span>
<div
id="dropzone-external"
class="flex-box"
:class="[isDropZoneActive
? 'dropzone-active'
: '']"
>
<img
id="dropzone-image"
:src="imageSource"
v-if="imageSource"
alt=""
>
<div
id="dropzone-text"
class="flex-box"
v-if="textVisible"
>
<span>Drag & Drop the desired file</span>
<span>…or click to browse for a file instead.</span>
</div>
<DxProgressBar
id="upload-progress"
:min="0"
:max="100"
width="30%"
:show-status="false"
:visible="progressVisible"
:value="progressValue"
/>
</div>
<DxFileUploader
id="file-uploader"
dialog-trigger="#dropzone-external"
drop-zone="#dropzone-external"
:multiple="false"
:allowed-file-extensions="allowedFileExtensions"
upload-mode="instantly"
upload-url="https://js.devexpress.com/Demos/NetCore/FileUploader/Upload"
:visible="false"
@drop-zone-enter="onDropZoneEnter"
@drop-zone-leave="onDropZoneLeave"
@uploaded="onUploaded"
@progress="onProgress"
@upload-started="onUploadStarted"
/>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import { DxFileUploader, type DxFileUploaderTypes } from 'devextreme-vue/file-uploader';
import { DxProgressBar } from 'devextreme-vue/progress-bar';
const isDropZoneActive = ref(false);
const imageSource = ref('');
const textVisible = ref(true);
const progressVisible = ref(false);
const progressValue = ref(0);
const allowedFileExtensions = ['.jpg', '.jpeg', '.gif', '.png'];
function onDropZoneEnter(
{ component, dropZoneElement, event }: DxFileUploaderTypes.DropZoneEnterEvent,
) {
if (dropZoneElement.id === 'dropzone-external') {
const items = (event as any).originalEvent.dataTransfer.items;
const allowedFileExtensions = component.option('allowedFileExtensions');
const draggedFileExtension = `.${items[0].type.replace(/^image\//, '')}`;
const isSingleFileDragged = items.length === 1;
const isValidFileExtension = !!allowedFileExtensions?.includes(draggedFileExtension);
if (isSingleFileDragged && isValidFileExtension) {
isDropZoneActive.value = true;
}
}
}
function onDropZoneLeave(e: DxFileUploaderTypes.DropZoneLeaveEvent) {
if (e.dropZoneElement.id === 'dropzone-external') {
isDropZoneActive.value = false;
}
}
function onUploaded({ file }: DxFileUploaderTypes.UploadedEvent) {
const fileReader = new FileReader();
fileReader.onload = () => {
isDropZoneActive.value = false;
imageSource.value = fileReader.result as string;
};
fileReader.readAsDataURL(file);
textVisible.value = false;
progressVisible.value = false;
progressValue.value = 0;
}
function onProgress(e: DxFileUploaderTypes.ProgressEvent) {
progressValue.value = (e.bytesLoaded / e.bytesTotal) * 100;
}
function onUploadStarted() {
imageSource.value = '';
progressVisible.value = true;
}
</script>
<style>
#dropzone-external {
width: 350px;
height: 350px;
background-color: rgba(0,0,0,0.08);
border-width: 2px;
border-style: dashed;
padding: 10px;
border-color: var(--dx-color-border);
}
#dropzone-external > * {
pointer-events: none;
}
#dropzone-external.dropzone-active {
border-style: solid;
border-color: var(--dx-color-primary);
}
.widget-container > span {
font-size: 22px;
font-weight: bold;
margin-bottom: 16px;
}
#dropzone-image {
max-width: 100%;
max-height: 100%;
}
#upload-progress {
display: flex;
margin-top: 10px;
}
.flex-box {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'typescript': {
'exports': 'ts',
},
'vue': {
format: 'global',
exports: 'Vue',
esModule: true,
},
'vuex': {
format: 'global',
exports: 'Vuex',
esModule: true,
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.40/dist/vue.global.js',
'@vue/shared': 'npm:@vue/shared@3.4.26/dist/shared.cjs.prod.js',
'dx-systemjs-vue-browser': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'vue-loader': 'loaders:demo-vue-loader.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import { createApp } from 'vue';
import App from './App.vue';
import 'anti-forgery';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
Allowed file extensions: .jpg, .jpeg, .gif, .png
Maximum file size: 4 MB